> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasenrollmentserver.md).

# Set-RASEnrollmentServer.md

## NAME

Set-RASEnrollmentServer

## SYNOPSIS

Modifies an Enrollment server.

## SYNTAX

**Set-RASEnrollmentServer** \[[Id](#id-string)] *(uint)* \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[NewServer](#newserver-string) *(string)*] \[[PreferredBrokerId](#preferredbrokerid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASEnrollmentServer \[-[InputObject](#inputobject)] *(*[*EnrollmentServer*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserver.md)*)* \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[NewServer](#newserver-string) *(string)*] \[[PreferredBrokerId](#preferredbrokerid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASEnrollmentServer \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[NewServer](#newserver-string) *(string)*] \[[PreferredBrokerId](#preferredbrokerid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies properties of an Enrollment server.

## PARAMETERS

## Server (string)

The name of the target enrollment server.

This must be the actual enrollment server name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified enrollment server.

If the parameter is omitted, the site ID of the licensing server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the Enrollment server to modify.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([EnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserver.md)) The enrollment server to modify.

To obtain an object of type enrollment server representing a enrollment server, use the Get-RASEnrollmentServer server cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## NewServer (string)

The new server of the target enrollment server.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

The enrollment server description.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable or disable the specified enrollment server in a site.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PreferredBrokerId (uint)

ID of the preferred Connection Broker.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[EnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserver.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASEnrollmentServer -Id 10 -Server "MyServer"

Sets information about the Enrollment server specified by its ID.

## RELATED LINKS

* [New-RASEnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasenrollmentserver.md)
* [Get-RASEnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasenrollmentserver.md)
* [Remove-RASEnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasenrollmentserver.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasenrollmentserver.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
